# Contributing to react-redux-app-template
:pray: Thank you for wanting to contribute to the development of the project!


The following is a set of guidelines for contributing.

## Code of Conduct
Please read our [Code of Conduct](/.github/CODE_OF_CONDUCT.md). By participating, you should uphold this Code of Conduct. 

## Using the issue tracker
If you want to solve a problem that is not described in issue tracker please create the necessary issue.
When creating a new issue use the appropriate templates (Bug report or Feature request).

## Getting start
Before you start run the ```yarn setup``` command which will install a git hook that checks the code before committing.

When writing code follow the [Airbnb JavaScript Style Guide](https://github.com/airbnb/javascript). ESlint will help you by highlighting the code in your IDE.

## Commit name
Name the commit as follows: ```#NUMBER_ISSUE: WHAT_WAS_DONE```. For example: ```#10: Problem with auth_token was fixed```.

## Pull request
The name of pull request should contain the issue number and a description of the solved problem. 
After creating the pull request make sure that all automatic checks have been passed.

## License
By contributing your code you agree to license your contribution under the our [License](/LICENSE).
